Loading...
Searching...
No Matches
Print matrix
Utilities

## Functions

void | magma_cprint (magma_int_t m, magma_int_t n, const magmaFloatComplex *A, magma_int_t lda)
| magma_cprint prints a matrix that is located on the CPU host.
void | magma_cprint_gpu (magma_int_t m, magma_int_t n, magmaFloatComplex_const_ptr dA, magma_int_t ldda, magma_queue_t queue)
| magma_cprint_gpu prints a matrix that is located on the GPU device.
void | magma_dprint (magma_int_t m, magma_int_t n, const double *A, magma_int_t lda)
| magma_dprint prints a matrix that is located on the CPU host.
void | magma_dprint_gpu (magma_int_t m, magma_int_t n, magmaDouble_const_ptr dA, magma_int_t ldda, magma_queue_t queue)
| magma_dprint_gpu prints a matrix that is located on the GPU device.
void | magma_iprint (magma_int_t m, magma_int_t n, const magma_int_t *A, magma_int_t lda)
| magma_iprint prints a matrix that is located on the CPU host.
void | magma_iprint_gpu (magma_int_t m, magma_int_t n, magma_int_t *dA, magma_int_t ldda, magma_queue_t queue)
| magma_iprint_gpu prints a matrix that is located on the GPU device.
void | magma_sprint (magma_int_t m, magma_int_t n, const float *A, magma_int_t lda)
| magma_sprint prints a matrix that is located on the CPU host.
void | magma_sprint_gpu (magma_int_t m, magma_int_t n, magmaFloat_const_ptr dA, magma_int_t ldda, magma_queue_t queue)
| magma_sprint_gpu prints a matrix that is located on the GPU device.
void | magma_zprint (magma_int_t m, magma_int_t n, const magmaDoubleComplex *A, magma_int_t lda)
| magma_zprint prints a matrix that is located on the CPU host.
void | magma_zprint_gpu (magma_int_t m, magma_int_t n, magmaDoubleComplex_const_ptr dA, magma_int_t ldda, magma_queue_t queue)
| magma_zprint_gpu prints a matrix that is located on the GPU device.

## Detailed Description

## Function Documentation

## magma_cprint()

void magma_cprint | ( | magma_int_t | m,
|  | magma_int_t | n,
|  | const magmaFloatComplex * | A,
|  | magma_int_t | lda )

magma_cprint prints a matrix that is located on the CPU host.

The output is intended to be Matlab compatible, to be useful in debugging.

Parameters

  [in] | m | INTEGER The number of rows of the matrix A. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix A. N >= 0.
  [in] | A | COMPLEX array, dimension (LDA,N), on the CPU host. The M-by-N matrix to be printed.
  [in] | lda | INTEGER The leading dimension of the array A. LDA >= max(1,M).

## magma_cprint_gpu()

void magma_cprint_gpu | ( | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaFloatComplex_const_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_queue_t | queue )

magma_cprint_gpu prints a matrix that is located on the GPU device.

Internally, it allocates CPU memory and copies the matrix to the CPU. The output is intended to be Matlab compatible, to be useful in debugging.

Parameters

  [in] | m | INTEGER The number of rows of the matrix A. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix A. N >= 0.
  [in] | dA | COMPLEX array, dimension (LDDA,N), on the GPU device. The M-by-N matrix to be printed.
  [in] | ldda | INTEGER The leading dimension of the array A. LDDA >= max(1,M).
  [in] | queue | magma_queue_t Queue to execute in.

## magma_dprint()

void magma_dprint | ( | magma_int_t | m,
|  | magma_int_t | n,
|  | const double * | A,
|  | magma_int_t | lda )

magma_dprint prints a matrix that is located on the CPU host.

The output is intended to be Matlab compatible, to be useful in debugging.

Parameters

  [in] | m | INTEGER The number of rows of the matrix A. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix A. N >= 0.
  [in] | A | DOUBLE PRECISION array, dimension (LDA,N), on the CPU host. The M-by-N matrix to be printed.
  [in] | lda | INTEGER The leading dimension of the array A. LDA >= max(1,M).

## magma_dprint_gpu()

void magma_dprint_gpu | ( | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaDouble_const_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_queue_t | queue )

magma_dprint_gpu prints a matrix that is located on the GPU device.

Internally, it allocates CPU memory and copies the matrix to the CPU. The output is intended to be Matlab compatible, to be useful in debugging.

Parameters

  [in] | m | INTEGER The number of rows of the matrix A. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix A. N >= 0.
  [in] | dA | DOUBLE PRECISION array, dimension (LDDA,N), on the GPU device. The M-by-N matrix to be printed.
  [in] | ldda | INTEGER The leading dimension of the array A. LDDA >= max(1,M).
  [in] | queue | magma_queue_t Queue to execute in.

## magma_iprint()

void magma_iprint | ( | magma_int_t | m,
|  | magma_int_t | n,
|  | const magma_int_t * | A,
|  | magma_int_t | lda )

magma_iprint prints a matrix that is located on the CPU host.

The output is intended to be Matlab compatible, to be useful in debugging.

Parameters

  [in] | m | INTEGER The number of rows of the matrix A. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix A. N >= 0.
  [in] | A | INTEGER array, dimension (LDA,N), on the CPU host. The M-by-N matrix to be printed.
  [in] | lda | INTEGER The leading dimension of the array A. LDA >= max(1,M).

## magma_iprint_gpu()

void magma_iprint_gpu | ( | magma_int_t | m,
|  | magma_int_t | n,
|  | magma_int_t * | dA,
|  | magma_int_t | ldda,
|  | magma_queue_t | queue )

magma_iprint_gpu prints a matrix that is located on the GPU device.

Internally, it allocates CPU memory and copies the matrix to the CPU. The output is intended to be Matlab compatible, to be useful in debugging.

Parameters

  [in] | m | INTEGER The number of rows of the matrix A. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix A. N >= 0.
  [in] | dA | INTEGER array, dimension (LDDA,N), on the GPU device. The M-by-N matrix to be printed.
  [in] | ldda | INTEGER The leading dimension of the array A. LDDA >= max(1,M).
  [in] | queue | magma_queue_t Queue to execute in.

## magma_sprint()

void magma_sprint | ( | magma_int_t | m,
|  | magma_int_t | n,
|  | const float * | A,
|  | magma_int_t | lda )

magma_sprint prints a matrix that is located on the CPU host.

The output is intended to be Matlab compatible, to be useful in debugging.

Parameters

  [in] | m | INTEGER The number of rows of the matrix A. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix A. N >= 0.
  [in] | A | REAL array, dimension (LDA,N), on the CPU host. The M-by-N matrix to be printed.
  [in] | lda | INTEGER The leading dimension of the array A. LDA >= max(1,M).

## magma_sprint_gpu()

void magma_sprint_gpu | ( | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaFloat_const_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_queue_t | queue )

magma_sprint_gpu prints a matrix that is located on the GPU device.

Internally, it allocates CPU memory and copies the matrix to the CPU. The output is intended to be Matlab compatible, to be useful in debugging.

Parameters

  [in] | m | INTEGER The number of rows of the matrix A. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix A. N >= 0.
  [in] | dA | REAL array, dimension (LDDA,N), on the GPU device. The M-by-N matrix to be printed.
  [in] | ldda | INTEGER The leading dimension of the array A. LDDA >= max(1,M).
  [in] | queue | magma_queue_t Queue to execute in.

## magma_zprint()

void magma_zprint | ( | magma_int_t | m,
|  | magma_int_t | n,
|  | const magmaDoubleComplex * | A,
|  | magma_int_t | lda )

magma_zprint prints a matrix that is located on the CPU host.

The output is intended to be Matlab compatible, to be useful in debugging.

Parameters

  [in] | m | INTEGER The number of rows of the matrix A. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix A. N >= 0.
  [in] | A | COMPLEX_16 array, dimension (LDA,N), on the CPU host. The M-by-N matrix to be printed.
  [in] | lda | INTEGER The leading dimension of the array A. LDA >= max(1,M).

## magma_zprint_gpu()

void magma_zprint_gpu | ( | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaDoubleComplex_const_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_queue_t | queue )

magma_zprint_gpu prints a matrix that is located on the GPU device.

Internally, it allocates CPU memory and copies the matrix to the CPU. The output is intended to be Matlab compatible, to be useful in debugging.

Parameters

  [in] | m | INTEGER The number of rows of the matrix A. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix A. N >= 0.
  [in] | dA | COMPLEX_16 array, dimension (LDDA,N), on the GPU device. The M-by-N matrix to be printed.
  [in] | ldda | INTEGER The leading dimension of the array A. LDDA >= max(1,M).
  [in] | queue | magma_queue_t Queue to execute in.